{% extends "base_tailwind.html" %}
{% load static i18n seawatch_registration_tags %}
{% block content %}
  <h1 class="text-3xl">{% trans "Operations" %}</h1>
  <div class="flex mb-8 mt-10 text-lg text-primary font-semibold self-center">
    <h2 class="mr-10">
      <a href="{% url "operation_list" %}"">{% trans "Planned Operations" %}</a>
    </h2>
    <h2>
      <a href="{% url "past_operation_list" %}">{% trans "Past Operations" %}</a>
    </h2>
  </div>
  <table class="table table-zebra">
    <thead>
      <tr>
        <th scope="col">Operation Name</th>
        <th scope="col">Start Date</th>
        <th scope="col">End Date</th>
      </tr>
    </thead>
    {% if operation_list %}
      <tbody>
        {% for operation in operation_list %}
          <tr>
            <th>{{ operation.name }}</th>
            <td>{{ operation.start_date }}</td>
            <td>{{ operation.end_date }}</td>
          </tr>
        {% endfor %}
      </tbody>
    {% else %}
      <tbody>
        <tr>
          <td class="empty-table-message" colspan="7">There are no past operations.</td>
        </tr>
      </tbody>
    {% endif %}
  </table>
{% endblock %}
